@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html,
body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

h1:focus {
    outline: none;
}

a,
.btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

#blazor-error-ui .dismiss {
    cursor: pointer;
    position: absolute;
    right: 0.75rem;
    top: 0.5rem;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

.blazor-error-boundary::after {
    content: "An error has occurred."
}

pre,
code,
textarea.showinvisibles {
    white-space: pre-visible;
    font-variant-alternates: visible-controls;
    /* high level, assumes support by the font (format) */
    font-feature-settings: "vwsp" 1;
    /* low level, assumes support by the font (format) */
    text-transform: visible-whitespace;
}

.e-more-popup-wrapper.e-lib.e-popup.e-control.e-popup-open {
    width: 400px;
    height: 200px;
}

.fa,
.fas {
    font-family: 'Font Awesome 5 Free';
    font-weight: 900;
}

.fab {
    font-family: 'Font Awesome 5 Brands';
    font-weight: 400;
}

.far {
    font-family: 'Font Awesome 5 Free';
    font-weight: 400;
}

.e-check::-webkit-scrollbar {  
    display: none;  
}

.e-appointment-details:has(.status-new) {
    background-color: #eee;
    color: #777;
    border: 1px solid #ccc;
}

.e-appointment-details:has(.status-in-advance) {
    background-color: #ffd446;
    color: black;
}

.e-schedule-table colgroup col {
    width: 120px!important;
}

.e-appointment-details:has(.is-reposition) {
    background-color: #ff4e41;
    color: #ffffff;
}

.e-appointment-details:has(.status-in-process) {
    background-color: #0275d8;
    color: #ffffff;
}

.e-appointment-details:has(.status-completed) {
    background-color: #5cb85c;
    color: #ffffff;
}

/* .e-schedule.event-custom .e-timeline-month-view .e-appointment {
    height: 80px;
} */

.oee-historico {
    border:1px solid black;
    border-radius: 20px;
}

  .oee-historico h4 {
    font-size: 2.5em;
    text-align: center;
  }
  .oee-historico h1 {
    font-size: 5em;
    text-align: center;
  }

.loading {
    font-size: 16px;
    line-height: 32px;
}
.spinner {
    display: inline-block;
  width: 32px;
  height: 32px;
  border-radius: 50%;
  background: conic-gradient(#0000 10%,#474bff);
  -webkit-mask: radial-gradient(farthest-side,#0000 calc(100% - 9px),#000 0);
  animation: spinner-zp9dbg 1s infinite linear;
}

@keyframes spinner-zp9dbg {
  to {
    transform: rotate(1turn);
  }
}

.inventory-status .rz-legend.rz-legend-right
{
    display: none;
}
.inventory-status .col {
  height: 160px
}

@media print {
  .inventory-count-form, footer.main-footer {
    display: none;
  }
}

/* typical phone screen resolution */
@media only screen {
    .inventory-count-ticket {
        display: none;
    }
}

.inventory-ticket-print
{
    margin: 0;
    padding: 0;
    width: 100%
}
.inventory-ticket-print th {
  font-size: 4em;
}

.inventory-ticket-print td {
  font-size: 6em;
  text-align: right;
}
#qrcode {
    text-align: center;
    margin-bottom: 12em;
    border-bottom: 2px solid black;
}
